curl --request PUT \
--url https://api.portkey.ai/v1/policies/usage-limits/{policyUsageLimitsId} \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"credit_limit": 2000,
"alert_threshold": 1500,
"reset_usage_for_value": "api-key-123"
}
'{}Update Usage Limits Policy
PUT
https://api.portkey.ai/v1
/
policies
/
usage-limits
/
{policyUsageLimitsId}
curl --request PUT \
--url https://api.portkey.ai/v1/policies/usage-limits/{policyUsageLimitsId} \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"credit_limit": 2000,
"alert_threshold": 1500,
"reset_usage_for_value": "api-key-123"
}
'{}Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Body
application/json
Response
OK
The response is of type object.
Last modified on August 6, 2026
Was this page helpful?

